Summary:	Microcode definitions for Intel processors
Summary(pl.UTF-8):	Definicje mikrokodu dla procesorów Intela
Name:		microcode-data-intel
Version:	20180807a
Release:	1
License:	INTEL SOFTWARE LICENSE AGREEMENT
Group:		Base
# http://downloadcenter.intel.com/, enter "processor microcode data file" to the search
Source0:	https://downloadmirror.intel.com/28087/eng/microcode-%{version}.tgz
# Source0-md5:	b12f8680d87c81a302e8c85712ed1a80
Provides:	microcode-data
BuildRequires:	iucode-tool
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The microcode data file for Linux contains the latest microcode
definitions for all Intel processors.

%description -l pl.UTF-8
Te pliki danych mikrokodu dla Linuksa zawierają najnowsze definicje
mikrokodu dla procesorów Intela.

%package initrd
Summary:	Microcode for initrd
Summary(pl.UTF-8):	Mikrokod dla initrd
Group:		Base

%description initrd
Intel microcode for initrd.

%description initrd -l pl.UTF-8
Mikrokod dla procesorów Intel dla initrd.

%prep
%setup -qc

%build

%{_sbindir}/iucode_tool intel-ucode*/*-* -tb --write-to=microcode.bin

install -d kernel/x86/microcode
ln microcode.bin kernel/x86/microcode/GenuineIntel.bin
echo kernel/x86/microcode/GenuineIntel.bin | cpio -o -H newc -R 0:0 > intel-ucode.img

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/lib/firmware,/boot}

cp -a intel-ucode $RPM_BUILD_ROOT/lib/firmware
cp -p intel-ucode.img $RPM_BUILD_ROOT/boot

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc releasenote
/lib/firmware/intel-ucode

%files initrd
%doc releasenote
%defattr(644,root,root,755)
/boot/intel-ucode.img
%changelog
* Thu Aug 30 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/microcode-data-intel.git;a=log;h=master

* Thu Aug 30 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 38d2802
- up to 20180807a

* Wed Aug 08 2018 Jan Palus <atler@pld-linux.org> 0024e5d
- up to 20180807

* Tue Jul 24 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 05dd812
- up to 20180703

* Fri May 25 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 0c7a88d
- fix url

* Fri May 25 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 7a1e9f3
- up to 20180425

* Wed Mar 14 2018 Jan Palus <atler@pld-linux.org> 12031e3
- up to 20180312

* Mon Feb 19 2018 Jan Rękorajski <baggins@pld-linux.org> 36712ef
- don't hide output from intel-microcode2ucode tools

* Fri Jan 12 2018 Elan Ruusamäe <glen@pld-linux.org> b7f6af2
- use https url

* Tue Jan 09 2018 Jan Palus <atler@pld-linux.org> e7ade0a
- 20180108: microcode update to fix spectre and meltdown bugs

* Mon Nov 27 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 4806c0f
- up to 20171117

* Sat Sep 09 2017 Elan Ruusamäe <glen@pld-linux.org> e168b89
- re-entrant install

* Sat Sep 09 2017 Elan Ruusamäe <glen@pld-linux.org> 4584837
- omit exit 1, set -e is active

* Sat Sep 09 2017 Elan Ruusamäe <glen@pld-linux.org> 476af78
- build noarch package

* Mon Sep 04 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> ca91a51
- rel 2; produce single file that can be used by grub

* Wed Jul 12 2017 Elan Ruusamäe <glen@pld-linux.org> 06763ab
- add todo about intel-microcode2ucode

* Tue Jul 11 2017 Jan Palus <atler@pld-linux.org> 877fc5b
- up to 20170707

* Sun Jun 04 2017 Jan Palus <atler@pld-linux.org> cb16f35
- up to 20170511

* Mon Nov 21 2016 Jan Palus <atler@pld-linux.org> 18a05fb
- up to 20161104

* Thu Jul 21 2016 Jan Palus <atler@pld-linux.org> 887306f
- up to 20160714

* Thu Dec 31 2015 Jan Palus <atler@pld-linux.org> b6bec10
- up to 20151106

